INTERFACE
SUBROUTINE DIFSP(PSPA3,PSPA2,PSPA1,PSPB3,PSPB2,PSPB1,PSPC3,PSPC2,PSPC1)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFD2D ,NFLSUR ,NSPEC2 ,NS3D
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPA3(NFLSUR,NSPEC2,NS3D)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPA2(NSPEC2,NFD2D)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPA1(NFLEVL,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPB3(NFLSUR,NSPEC2,NS3D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPB2(NSPEC2,NFD2D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPB1(NFLEVL,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPC3(NFLSUR,NSPEC2,NS3D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPC2(NSPEC2,NFD2D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPC1(NFLEVL,2)
END SUBROUTINE DIFSP
END INTERFACE
